Subject: bug#50424: 27.2; Tab bar button mouse face not clearing entirely

From: Juri Linkov <[email-masked]>
Date: Mon, 13 Sep 2021 10:59:12 +0300

tags 50424 fixed
close 50424 28.0.50
quit

>> > If we want the default value of tab-bar-button-margin to be a cons
>> > cell, let's change the default value to be a cons cell, it's not more
>> > complicated than setting it to a scalar, even in C.  But tab-bar.el
>> > should use in its image specs the exact value of
>> > tab-bar-button-margin, it cannot decide to change it behind the back
>> > of the caller.
>>
>> I tried a cons cell, but it looks ugly for buttons other than the close button.
>> OTOH, margin 1 looks nice for all buttons:
>
> Fine by me.

So pushed to master.

>> -#define DEFAULT_TAB_BAR_BUTTON_MARGIN 4
>> +#define DEFAULT_TAB_BAR_BUTTON_MARGIN 1
>>  #define DEFAULT_TAB_BAR_BUTTON_RELIEF 1
>
> Btw, I don't see much sense in keeping the
> DEFAULT_TAB_BAR_BUTTON_MARGIN macro: it's used in one place only,
> AFAICT, so we could simply have it there literally.

I thought about this too, but it will break the symmetry with
DEFAULT_TOOL_BAR_BUTTON_MARGIN and DEFAULT_TOOL_BAR_BUTTON_RELIEF when
DEFAULT_TAB_BAR_BUTTON_MARGIN will be used in more places.